	<link rel="stylesheet" href="css/pagesCss/travellerView.css" />
	<div class="container borderClass mrgTop">
<div class="row ">
	<!-- LEFT CONTENT-->
		<div class="col-xs-12 col-sm-3 col-md-3 col-lg-3 panel-body">
		<div ng-include="'views/account/user_menu.html'"></div>
				<div class="clearfix"></div>
		</div> <!-- end -->
		
		<!-- Right CONTENT-->
	<div class="col-xs-12 col-sm-9 col-md-9 col-lg-9 borderOverRide">
		<form class="form-horizontal">
			<div class="row mb10">
				<div class="col-xs-6 col-sm-6 col-md-6 col-lg-6">
					<h3 class="headerOride size20 mt10">Travellers List</h3>
				</div>
				<div class="col-xs-6 col-sm-6 col-md-6 col-lg-6 mt5 text-right" ng-hide="noRecords">
					<!-- <button type="button" class="btn btn-primary" id="addTravellerBtn" data-target="#addTravellerModal" data-toggle="modal" ng-click="editTravellerData(null,null)">
						<i class="fa fa-plus-square"></i> &nbsp;Add Traveller
					</button> -->
					<button type="button" class="applyBtn btn btn-sm btn-success" id="addTravellerBtn" ng-click="editTraveller('lg', any, null, null)">
						<i class="fa fa-plus-square"></i> &nbsp;Add Traveller
					</button>
				</div>
				</div>
				<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 margtop40 text-center" ng-show="noRecords">
				<h2> Travelling with other people is fun.</h2>
				<div>Save data for your co-travellers and save time while booking</div>
			</div>
			<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 margtop40 text-center" ng-show="noRecords">
				<button type="button" class="applyBtn btn btn-sm btn-success" id="addTravellerBtn" data-target="#addTravellerModal" data-toggle="modal" ng-click="editTravellerData(null,null)">
					<i class="fa fa-plus-square"></i> &nbsp;Add Traveller
				</button>
			</div>
			<div class="row" ng-show="loading">
						<div class="cssload-container lodingIcons">
							<div class="cssload-tube-tunnel"></div>
						</div>
					</div>
			<div class="row">
			<div class="col-md-2 col-lg-2"></div>
			<div class="col-xs-12 col-sm-12 col-md-7 col-lg-7 margtop10" tasty-table bind-resource-callback="getTraveller" bind-init="init">
			<div class="mb10 travellerInfoData mb10 marginLR" ng-repeat="travellers in travellerInfoData">
			<div class="row">
				<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 mt10">
								<img alt="profile image" src="images/user-avatar.jpg" style="border-radius: 3px;"/>
							</div>
							<div class="col-xs-9 col-sm-9 col-md-9 col-lg-9">
								<div class="row mt5">
									<div class="col-xs-9 col-sm-9 col-md-9 col-lg-9 profileUname" title="{{travellers.personaldata.fname}} {{travellers.personaldata.lname}}">
										{{travellers.personaldata.salutation}} {{travellers.personaldata.fname}} {{travellers.personaldata.lname}}
										</div>
										<div class="col-md-3" ng-show="travellers.ownprofile==true">
											<span class="OwnProfile">Own</span>
											</div>
									</div>
									<div class="row"> 
									<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 wrapOverflow">
										<span class="customColor2"><i class="fa fa-envelope"></i></span>
										<span title="{{travellers.personaldata.email}}">{{travellers.personaldata.email}}</span>
									</div> 
								</div>
								<div class="row">
									<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 wrapOverflow">
										<span class="customColor2"><i class="fa fa-mobile fa-lg"></i></span>
										<span title="{{travellers.personaldata.mobile}}">+ {{travellers.personaldata.mobcntrycode}} -{{travellers.personaldata.mobile}}</span>
									</div>
								</div>
								<div class="row">
									<div class="col-xs-9 col-sm-9 col-md-9 col-lg-9 text-right">
										<!-- <a data-target="#addTravellerModal" data-toggle="modal" title="edit" href="" ng-click="editTravellerData(travellers)"><i class="fa fa-edit"></i></a>  -->
										<a title="edit" href="" ng-click="editTraveller('lg', any,travellers)"><i class="fa fa-edit"></i></a> 
									</div> 
									<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3">
										<!-- <a data-toggle="modal" title="Delete"><i class="fa fa-trash-o"></i></a> -->
									</div>
								</div>
								</div>
				</div>
			
			</div>
			<div class="clearfix" ng-hide="noRecords1" tasty-pagination></div>
			</div>
				
				</div>
			</form>
		</div>
	</div>
	</div>
	<script type="text/ng-template" id="travellerPage.html">
		<div class="modal-header">
	<h3 class="modal-title" id="addTravel"> {{travellerTitle}} Traveller </h3>
		
</div>
<div class="modal-body" id="modal-body">
	<div class="row">
		<div class="col-md-12">
			<form name="travellerForm" id="travellerForm" class="form-horizontal" ng-submit="savePassenger()">
				<div class="personalInfo row">
					<div class="col-md-3 top">
					<div class="fRight">
						<img alt="profile image" src="images/no-avatar.jpg">
						</div>
						</div>
						<div class="col-md-3 top">
							<label class="white"><span class="">Title*</span>:</label>
							<select name="salutation" id="profileSalutation" class="form-control">
								<option value={{satulation.value}} ng-repeat="satulation in salutationData">{{satulation.label}}</option>
								</select>
						</div>
						<div class="col-md-6 top">
						<label class="white"><span class="">Full Name*</span>:</label>
						<div class="row">
							<div class="col-md-6">
								<input type="text" maxlength="100" placeholder="First Name" name="profileFirstName" class="form-control required" id="profileFirstName" ng-model="travellerObj.personaldata.fname" required/>
								</div>
								<div class="col-md-6">
								<input type="text" maxlength="100" placeholder="Last Name" name="profileLastName" class="form-control required" id="profileLastName" ng-model="travellerObj.personaldata.lname" required/>
								</div>
							</div>
						
						</div>
						
					</div>
					<hr class="row">
					
					<h4 class="">Contact Details</h4>
					<div class="form-group">
						<label class="control-label col-md-4"><span class="star">E-mail ID</span>: </label>
						<div class="col-md-7">
								<input type="email" id="profileEmailId" name="profileEmailId" class="form-control required" ng-model="travellerObj.personaldata.email" placeholder="Email address" maxlength="100" required/>
							</div>
						</div>
						<div class="form-group">
							<label class="control-label col-md-4"><span class="star">Mobile Number</span>: </label>
							<div class="col-md-7 col-xs-12">
							<div class="row">
								<div class="col-md-4 col-xs-3">
									<input type="text" maxlength="5" value="" class="form-control required" name="profileMobileCode" id="profileMobileCode" ng-model="travellerObj.personaldata.mobcntrycode" placeholder="ISD"  required/>
								</div>
								<div class="col-md-8 col-xs-9">
									<input type="text" maxlength="20" value="" id="profileMobileNo" class="form-control required" name="profileMobileNo" ng-model="travellerObj.personaldata.mobile" onkeypress="javascript:return isNumber(event)"  placeholder="Mobile Number" required/>
								</div>
								</div>
								
							</div>
						</div>
						<div class="form-group">
							<label class="control-label col-md-4">Address:</label>
							<div class="col-md-7">
								<textarea maxlength="120" placeholder="Address" class="form-control" rows="3" id="profileAddress" name="profileAddress" ng-model="addressObjProfile.address"></textarea>
								<br>
								<div class="row">
									<div class="col-md-6 col-xs-6">
										<input type="text" maxlength="25" placeholder="City" class="form-control" id="profileCity" name="profileCity" maxlength="100" ng-model="addressObjProfile.city"/>
									</div>
									<div class="col-md-6 col-xs-6">
										<select class="form-control" name="profileCountry" id="profileCountry" ng-model="addressObjProfile.country" ng-options="country.code as country.displayname for country in countryResult">
											<option value="">Country</option>
										</select>
									</div>
								</div>
								<br>
								<div class="row">
									<div class="col-md-6 col-xs-6">
										<input type="text" maxlength="10" placeholder="Zip code" id="zipCode" name="zipCode" class="form-control number"  ng-model="addressObjProfile.zipcode"/>
									</div>
									<div class="col-md-6 col-xs-6">
										<input type="text" placeholder="State" class="form-control" id="profileState" name="profileState" maxlength="50" ng-model="addressObjProfile.state"/>
									</div>
								</div>
							</div>
						</div>
						<hr class="row">
						<h4 class="">General Information</h4>
						<div class="form-group">
							<label class="control-label col-md-4"><span class="star">Date of Birth</span>:</label>
							<div class="col-md-7">
								<div class="col-md-6 col-xs-6 padLeft">
									<input type="text" class="form-control required mySelectCalendar" value={{dob1}} name="datepicker2" autocomplete="off" id="datepicker2" date-range-picker date-range-picker-popup="{{format}}" placeholder="dd-mm-yyyy" options= "loginOption" ng-model="dob" required/>
								</div>
							</div>
						</div>
						<div class="form-group">
							<label class="control-label col-md-4">Gender:</label>
							<div class="col-md-7">
								<div class="col-md-6 col-xs-6 padLeft">
									<select id="profileGender" name="profileGender" class="form-control" ng-model="travellerObj.personaldata.gender">
										<option value="">-Select-</option>									
										<option value="M">Male</option>									
										<option value="F">Female</option>									
									</select>
								</div>
							</div>
						</div>
						<div class="form-group">
							<label class="control-label col-md-4"><span class="star">Passport No</span>:</label>
							<div class="col-md-7">
								<div class="col-md-6 col-xs-6 padLeft">
									<input type="text" name="profilePassNo" id="profilePassNo" class="form-control passport2 required" ng-model="travellerObj.personaldata.passportNo" maxlength="100" required/>
								</div>
							</div>
						</div>
						<div class="form-group">
							<label class="control-label col-md-4"><span class="star">Nationality</span></label>
							<div class="col-md-7">
								<div class="col-md-6 col-xs-6 padLeft">
									<select class="form-control required" name="profileNation" id="profileNation" ng-model="travellerObj.personaldata.nationalitycode" ng-options="nation.code as nation.displayname for nation in nationalityResult" required>
										<option value="">-Select-</option>
									</select>
								</div>
							</div>
						</div>
						<hr class="row">
						<h4 class="">Preferences Details</h4>
						<div class="form-group">
							<label class="control-label col-md-4">Meal Preference:</label>
							<div class="col-md-7">
								<div class="col-md-6 col-xs-6 padLeft">
									<select class="form-control" id="profileMealPreference">
										<option value="">-Select-</option>
										<option value="8385">Baby Meal</option>
										<option value="8386">Bland Meal</option>
										<option value="8388">Child Meal</option>
										<option value="8389">Diabetic Meal</option>
										<option value="8391">Fruit Plater Meal</option>
										<option value="8392">Gluten Intolerant Meal</option>
										<option value="8394">Hindu Meal</option>
										<option value="8396">Kosher Meal</option>
										<option value="8397">Low Calorie Meal</option>
										<option value="8398">Low Fat Meal</option>
										<option value="8399">Low Lactose Meal</option>
										<option value="8400">Low Salt Meal</option>
										<option value="8401">Moslem Meal</option>
										<option value="8405">Seafood Meal</option>
										<option value="8407">Special Meal</option>
										<option value="8410">Asian Vegetarian Meal</option> `
										<option value="8412">Vegetarian Lacto-Ovo Meal</option>
										<option value="8414">Vegetarian Raw Meal</option>
										<option value="8415">Vegetarian Vegan Meal</option>
										<option value="25281">High Fiber Meal</option>
										<option value="25282">Oriental Meal</option>
										<option value="25283">Low Protein Meal</option>
										<option value="25284">Low Purin Meal</option>
										<option value="8387">Chicken Meal (LY Only)</option>
										<option value="8393">Greek Fasting Food (LY Only)</option>
										<option value="8395">Japanese Meal (AA Only)</option>
										<option value="8402">Regal Fish Meal (LY Only)</option>
										<option value="8403">Regal Glatt Vegetarian (LY Only)</option>
										<option value="8404">Regal Meal (LY Only)</option>
										<option value="8406">Special Kosher Fish Meal (LY Only)</option>
										<option value="8408">Strictly Kosher Child Meal (LY Only)</option>
										<option value="8409">Strictly Kosher Meal (LY Only)</option>
										<option value="8411">Vegetarian Jain Meal</option>
										<option value="8413">Vegetarian Oriental Meal</option>
									</select>
								</div>
							</div>
						</div>
						<div class="form-group">
							<label class="control-label col-md-4">Seat Preference:</label>
							<div class="col-md-7">
								<div class="col-md-6 col-xs-6 padLeft">
									<select class="form-control" id="profileSeatPreference">
										<option value="">-Select-</option>
										<option value="8310">Window</option>
										<option value="8311">Aisle</option>
										<option value="8313">Exit Row</option>
										<option value="8314">Front of the Plane</option>
										<option value="8315">Back of the Plane</option>
										<option value="8316">Any Seat with extra legroom</option>
										<option value="8317">Any Seat in Business or First Class</option>
									</select>
								</div>
							</div>
						</div>
						<div class="form-group">
							<label class="control-label col-md-4">Frequent Flyer No:</label>
							<div class="col-md-7 col-xs-12 mb10">
							<div class="row">
								<div class="col-md-6 col-xs-3 padLeft">
									 <input type="text" name="profileAirlineName" class="form-control" style="text-transform:uppercase;" id="profileAirlineName" ng-model="airlineName" placeholder="Airline Name" ng-change="autoAirlines(airlineName);" uib-typeahead="airline as airline.Title for airline in airlines | filter:$viewValue | limitTo:8" autocomplete="off"/> 
									<input type="hidden" id="profile_AirlineCode" ng-model="profile_AirlineCode"/>
								</div>
								<div class="col-md-5 col-xs-9 padLeft">
									<input type="text" name="profileFlyerNo" maxlength="30" class="form-control" placeholder="F.F No" id="profileFlyerNo" ng-model="airCodes" uib-typeahead="aircode as aircode.Code for aircode in airlineCode | filter:$viewValue | limitTo:8" ng-change="airCodeChange(airCodes)" autocomplete="off"/>
								</div>
								<div class="col-md-1 col-xs-9">
									<button class="applyBtn btn btn-sm btn-success" id="addFrequentFlyerProfile" type="button" ng-click="addFrequentFlyerProfile();">Add &nbsp; <i class="fa fa-plus-square"></i>
									</button>
								</div>
							</div>
							</div>
							<div class="col-md-7 col-xs-12 col-md-offset-4">
								<div style="clear: both;margin-left:2%;">
									<label style="font-weight: bold;" ng-if="freqflyerlist && freqflyerlist.length != 0">
									<u>Airlines</u></label>
								</div>
								<div id="ffDtlGrid" ng-show="freqflyerlist.length != 0">
									<table class="table table-striped" style="margin-left:2%; margin-bottom:0px; font-size: 12px;">
										<tbody>
											<tr ng-repeat="frequentflyer in freqflyerlist">
												<td><img width="25px" src="images/Airlines/sm{{frequentflyer.ffairline}}.png" alt="image" /><span style="width: 150px; display: inline-block;">{{frequentflyer.ffairlinename}}</span></td>
												<td>{{frequentflyer.ffnumber}}</td>
												<td><i class="fa fa-times communication-close closeBtn" ng-click="removeFrequentFlyer(frequentflyer);"></i></td>
											</tr>
										</tbody>
									</table>						
								</div>
							</div>
						</div>
						<hr class="row">
						<h4 class="">Communication Details</h4>
						<div class="form-group">
							<label class="control-label col-md-4">Contact Type:</label>
							<div class="col-md-7 col-xs-12 mb10">
							<div class="row">
								<div class="col-md-6 col-xs-3 padLeft">
									<select class="form-control" id="profile_ContactType">
										<option value="">-Select-</option>
										<option value="MO">Mobile</option>
										<option value="PO">TELEPHONE OFFICE</option>
										<option value="PH">TELEPHONE HOME</option>
										<option value="EP">Email Personal</option>
										<option value="EO">Email Office</option>
									</select>
								</div>
								<div class="col-md-5 col-xs-9 padLeft">
									<input type="text" name="profile_ContactValue" maxlength = "100" class="form-control" id="profile_ContactValue" placeholder="value"/>
								</div>
								<div class="col-md-1 col-xs-9">
									<button class="applyBtn btn btn-sm btn-success" id="addCommunicationProfile" type="button" ng-click="addCommunicationProfile();">Add  &nbsp; <i class="fa fa-plus-square"></i>
									</button>
								</div>
								</div>
								
							</div>
							<div class="col-md-7 col-xs-12 col-md-offset-4">
								<div id="emailLabel" style="margin-left: 1%; margin-bottom: 1%; ">
									<label style="font-weight: bold;" ng-show="emails.length != 0"><u>Email</u></label>
								</div>
								<div id="emailGrid" ng-show="emails.length != 0">
									<table class="table table-striped" style="padding: 6px; font-size: 12px; margin-bottom: 10px;">
										<tbody>
											<tr ng-repeat="email in emails">
												<td>{{email.commtypecode}}</td>
												<td>{{email.commvalue}}</td>
												<td><i class="fa fa-times communication-close closeBtn" ng-click="removeEmails(email);"></i></td>
											</tr>
										</tbody>
									</table>
								</div>
							</div>
							<div class="col-md-7 col-xs-12 col-md-offset-4">
								<div id="phoneLabel" style="clear: both; margin-left: 1%; margin-bottom: 1%;">
									<label style="font-weight: bold;" ng-show="phonenumbers.length != 0">
									<u>Phone Number</u></label>
								</div>
								<div id="phoneGrid" ng-show="phonenumbers.length != 0">
									<table class="table table-striped" style="padding: 6px; font-size: 12px; margin-bottom: 10px;">
										<tbody>
											<tr ng-repeat="phonenumber in phonenumbers">
												<td>{{phonenumber.commtypecode}}</td>
												<td>{{phonenumber.commvalue}}</td>
												<td><i class="fa fa-times communication-close closeBtn" ng-click="removePhoneNumbers(phonenumber);"></i></td>
											</tr>
										</tbody>
									</table>
								</div>
							</div>
						</div>
						<div class="form-group">
							<label class="col-md-4 hidden-xs"></label>
							<div class="col-md-4 col-xs-12 text-center">
								<button type="submit" class="applyBtn btn btn-sm btn-success">
									{{travellerButton}} Traveller
								</button>
								
						<div class="cssload-container lodingIcons" ng-show="loading">
							<div class="cssload-tube-tunnel"></div>
						</div>
					
							</div>
							
						</div>
				</form>
			</div>
		</div>
	</div>
</script>